Summary:	Plasma 5 Rosa Desktop Fresh config
Name:		plasma5-config-fresh
Version:	1.7
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://rosalinux.com/
Source0:	kdeglobals
Source1:	kwinrc
Source2:	ksmserverrc
Source3:	kscreenlockerrc
Source4:	dolphinrc
Source5:	plasmarc
Source6:	oxygenrc
Source7:	baloofilerc
Source8:	kiorc
# Create default GTK2 and GTK3 configs for user if they don't exist yet
Source90:	gtk2.sh
Source91:	gtk3.sh
# Modified versions of files from plasma5-desktop
Source100:	default-panel-layout.js
Source101:	default-desktop-layout.js
Source102:	default-appmenubar-layout.js
BuildRequires:	extra-cmake-modules
Requires:	plasma5-aurorae-theme-rosa
Requires:	plasma5-color-scheme-rosa
Requires:	plasma5-decoration-oxygen
Requires:	plasma5-style-breeze
Requires:	qt5-platformtheme-gtk2
Requires:	qt5-style-gtk2
Requires:	rosa-icons
Provides:	plasma5-config
BuildArch:	noarch

%description
Plasma 5 Rosa Desktop Fresh config (KF5 files).

%files
%{_kde5_sysconfdir}/xdg/baloofilerc
%{_kde5_sysconfdir}/xdg/dolphinrc
%{_kde5_sysconfdir}/xdg/kdeglobals
%{_kde5_sysconfdir}/xdg/kiorc
%{_kde5_sysconfdir}/xdg/kscreenlockerrc
%{_kde5_sysconfdir}/xdg/ksmserverrc
%{_kde5_sysconfdir}/xdg/kwinrc
%{_kde5_sysconfdir}/xdg/oxygenrc
%{_kde5_sysconfdir}/xdg/plasmarc
%{_kde5_sysconfdir}/xdg/plasma-workspace/env/gtk2.sh
%{_kde5_sysconfdir}/xdg/plasma-workspace/env/gtk3.sh

#----------------------------------------------------------------------------

%package -n plasma5-config-plasma-fresh
Summary:	Plasma 5 Rosa Desktop Fresh config (Plasma files)
Group:		Graphical desktop/KDE
Requires:	plasma5-applet-appmenu
# Used in default panel layout.js
Requires:	plasma5-applet-digitalclock
Requires:	plasma5-applet-kicker
Requires:	plasma5-applet-minimizeall
Requires:	plasma5-applet-systemtray
Requires:	plasma5-applet-taskmanager
Provides:	plasma5-config-plasma
# defaultPanel layout.js was moved from plasma5-layout-template-default-panel
Conflicts:	plasma5-layout-template-default-panel < 5.5.2-3
Conflicts:	plasma5-config-fresh < 1.0-0.8
# desktop layout.js was moved from plasma5-shell-desktop
Conflicts:	plasma5-shell-desktop < 5.5.3-2

%description -n plasma5-config-plasma-fresh
Plasma 5 Rosa Desktop Fresh config (Plasma files).

%files -n plasma5-config-plasma-fresh
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/contents/layout.js
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js
%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/layout.js

#----------------------------------------------------------------------------

%prep

%build

%install
mkdir -p %{buildroot}%{_kde5_sysconfdir}/xdg/
install -m 0644 %{SOURCE0} %{buildroot}%{_kde5_sysconfdir}/xdg/kdeglobals
install -m 0644 %{SOURCE1} %{buildroot}%{_kde5_sysconfdir}/xdg/kwinrc
install -m 0644 %{SOURCE2} %{buildroot}%{_kde5_sysconfdir}/xdg/ksmserverrc
install -m 0644 %{SOURCE3} %{buildroot}%{_kde5_sysconfdir}/xdg/kscreenlockerrc
install -m 0644 %{SOURCE4} %{buildroot}%{_kde5_sysconfdir}/xdg/dolphinrc
install -m 0644 %{SOURCE5} %{buildroot}%{_kde5_sysconfdir}/xdg/plasmarc
install -m 0644 %{SOURCE6} %{buildroot}%{_kde5_sysconfdir}/xdg/oxygenrc
install -m 0644 %{SOURCE7} %{buildroot}%{_kde5_sysconfdir}/xdg/baloofilerc
install -m 0644 %{SOURCE8} %{buildroot}%{_kde5_sysconfdir}/xdg/kiorc

mkdir -p %{buildroot}%{_kde5_sysconfdir}/xdg/plasma-workspace/env
install -m 0755 %{SOURCE90} %{buildroot}%{_kde5_sysconfdir}/xdg/plasma-workspace/env/gtk2.sh
install -m 0755 %{SOURCE91} %{buildroot}%{_kde5_sysconfdir}/xdg/plasma-workspace/env/gtk3.sh

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/
install -m 0644 %{SOURCE100} %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/
install -m 0644 %{SOURCE101} %{buildroot}%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/layout.js

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/contents/
install -m 0644 %{SOURCE102} %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/contents/layout.js

%changelog

* Fri Sep 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7-1
- (ea6c105) Add default window decoration colors to kdeglobals because they are known not to be taken from color schemes

* Tue Sep 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6-1
- (91bd8a5) Add PanelIcons to kdeglobals to avoid regressions caused by fixed https://bugs.kde.org/show_bug.cgi?id=378443 bug

* Wed Apr 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5-1
- (c424aba) Add default kiorc

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4-1
- (96cb5bf) Create default GTK2 and GTK3 configs for user if they don't exist yet

* Thu Mar 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3-1
- (3674f89) Disable Baloo indexing by default

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2-1
- (d2dbb99) Add oxygenrc to files
- (Andrey Bondrov: ed35ac1) Use Breeze for widgets and Oxygen for window decorations

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1-2
- (0b184ba) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1-1
- (be07e00) Add appmenubar layout template

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-1
- (05e2945) Use gtk2 style instead of gtk+ (Qt 5.7+ removed gtk+ style)

* Tue Nov 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.25
- (758c274) Creating new activity is no longer needed

* Tue Nov 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.24
- (228f5cb) Applet name changed from org.kde.minimizeall to org.kde.plasma.minimizeall

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.23
- (8183f4d) MassBuild#1169: Increase release tag

* Sun Jul 24 2016 valerol <valerol@ya.ru> 1.0-0.22
- (84e2e80) Adjust preview settings in Dolphin (add ffmpegthumbs and svgthumbnail to enabled by default plugins)

* Sun Jul 24 2016 valerol <valerol@ya.ru> 1.0-0.21
- (37b4e88) Fix default desktop layout template (see https://bugs.kde.org/show_bug.cgi?id=365989)

* Sat Jul 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.20
- (b00f8a0) Assign Meta+M shortrcut to minimizeall applet on panel

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.19
- (09a7e01) Use Firefox as default browser

* Thu Jul 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.18
- (46ec033) Disable grouping and sorting by default for taskmanager

* Thu Jul 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.17
- (9ead718) Move some lines in kdeglobals to another position

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.16
- (a85869a) Add plasmarc to files
- (Andrey Bondrov: 4d0b1c8) Add plasmarc to set default plasma theme to rosa-fresh

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.15
- (ce8f419) Set default LookAndFeelPackage to org.rosa.fresh.desktop

* Tue Jul 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.14
- (3c35c55) Show only icons on Dolphin's main toolbar

* Thu Jun 30 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.13
- (a6151ae) Add plasma5-applet-minimizeall to default panel layout

* Thu Jun 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.12
- (c58cf30) Adjust icon for libreoffice-writer

* Thu Jan 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.11
- (de9621d) Add dolphinrc to files
- (Andrey Bondrov: 02c9740) Add org.kde.plasma.desktop layout

* Thu Jan 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.10
- (5ba62d3) Add Dolphin, LibreOffice Writer and Firefox to default panel layout
- (Andrey Bondrov: 52de5d3) Add dolphinrc config

* Wed Jan 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.9
- (cba06f9) Add kscreenlockerrc config (set screen locker timeout to 60 minutes)


